Skip to main content
POST
/
assets
Create a new asset.
curl --request POST \
  --url https://api.samsara.com/assets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributes": [
    {
      "dateValues": [
        "2024-01-15",
        "2024-12-31"
      ],
      "id": "494123",
      "name": "Compliance/ELD",
      "numberValues": [
        867,
        5309
      ],
      "stringValues": [
        "HQ",
        "Leased"
      ]
    }
  ],
  "externalIds": {},
  "licensePlate": "XHK1234",
  "make": "Bobcat",
  "model": "S630 T4",
  "name": "MyAsset-1234",
  "notes": "These are notes.",
  "readingsIngestionEnabled": true,
  "regulationMode": "mixed",
  "serialNumber": "LN016251",
  "tagIds": [
    "Debitis voluptas maiores.",
    "Veniam voluptatum dolores temporibus nisi.",
    "Rem ut soluta."
  ],
  "type": "trailer",
  "vin": "1FUJBBCKXCLBZ1234",
  "year": 2015
}
'
{
  "data": {
    "createdAtTime": "2020-01-27T07:06:25Z",
    "id": "12345",
    "updatedAtTime": "2020-01-27T07:06:25Z",
    "externalIds": {},
    "licensePlate": "XHK1234",
    "make": "Bobcat",
    "model": "S630 T4",
    "name": "MyAsset-1234",
    "notes": "These are notes.",
    "readingsIngestionEnabled": true,
    "regulationMode": "mixed",
    "serialNumber": "LN016251",
    "tags": [
      {
        "id": "3914",
        "name": "East Coast",
        "parentTagId": "4815"
      }
    ],
    "type": "trailer",
    "vin": "1FUJBBCKXCLBZ1234",
    "year": 2015
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Representation of a vehicle trailer or other equipment to be tracked.

attributes
object[]

A list of attributes to assign to the asset.

externalIds
object

A map of external ids

licensePlate
string

The license plate of the asset.

Example:

"XHK1234"

make
string

The OEM/manufacturer of the asset. Updates to this field are restricted.

Example:

"Bobcat"

model
string

The model of the asset. Updates to this field are restricted.

Example:

"S630 T4"

name
string

The human-readable name of the asset. This is set by a fleet administrator and will appear in both Samsara’s cloud dashboard as well as the Samsara Driver mobile app. By default, this name is the serial number of the Samsara Asset Gateway. It can be set or updated through the Samsara Dashboard or through the API at any time.

Example:

"MyAsset-1234"

notes
string

These are generic notes about the asset. Can be set or updated through the Samsara Dashboard or the API at any time.

Example:

"These are notes."

readingsIngestionEnabled
boolean

Indicates whether the asset is expected to have data ingested using the Readings API.

Example:

true

regulationMode
enum<string>

Whether or not the asset is regulated, unregulated (non-CMV), or a mixed use unregulated asset. Primarily used with vehicles. Valid values: mixed, regulated, unregulated

Available options:
mixed,
regulated,
unregulated
Example:

"mixed"

serialNumber
string

The serial number of the asset. This can be an internal serial number or used to hold legacy VIN/PIN numbers such as ones of shorter lengths.

Example:

"LN016251"

tagIds
string[]

An array of IDs of tags to associate with this asset. If your access to the API is scoped by one or more tags, this field is required to pass in.

Example:
[
"Debitis voluptas maiores.",
"Veniam voluptatum dolores temporibus nisi.",
"Rem ut soluta."
]
type
enum<string>
default:uncategorized

The operational context in which the asset interacts with the Samsara system. Examples: Vehicle (eg: truck, bus...), Trailer (eg: dry van, reefer, flatbed...), Powered Equipment (eg: dozer, crane...), Unpowered Equipment (eg: container, dumpster...), or Uncategorized. Valid values: uncategorized, trailer, equipment, unpowered, vehicle

Available options:
uncategorized,
trailer,
equipment,
unpowered,
vehicle
Example:

"trailer"

vin
string

The unique 17-digit VIN (Vehicle Identification Number) or PIN (Product Identification Number) of the asset.

Example:

"1FUJBBCKXCLBZ1234"

year
integer<int64>

The model year of the asset. Updates to this field are restricted.

Example:

2015

Response

OK response.

data
object
required

Representation of a vehicle trailer or other equipment to be tracked.